Holger's Java API

## com.antelmann.db
Enum DBClassStore.DBMethod

    java.lang.Object
      java.lang.Enum<DBClassStore.DBMethod>
          com.antelmann.db.DBClassStore.DBMethod

All Implemented Interfaces:
  Serializable, Comparable<DBClassStore.DBMethod>

Enclosing interface:
  DBClassStore<T extends DBEntry>

    public static enum DBClassStore.DBMethod

extends Enum<DBClassStore.DBMethod>

Enum Constant Summary
`CONTAINS`
`DELETE`
`DELETE_MULTIPLE`
`FETCH`
`FETCH_STUBS`
`GENERATE_ID`
`GET`
`GET_STUB`
`INSERT`
`INSERT_AS_NEW`
`SIZE`
`UPDATE`

Method Summary
`String` `getMethodName()`
`boolean` `isReadOnlyAccess()`
`boolean` `isWriteAccess()`
`static DBClassStore.DBMethod` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DBClassStore.DBMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTAINS

    public static final DBClassStore.DBMethod CONTAINS

### DELETE

    public static final DBClassStore.DBMethod DELETE

### DELETE_MULTIPLE

    public static final DBClassStore.DBMethod DELETE_MULTIPLE

### GENERATE_ID

    public static final DBClassStore.DBMethod GENERATE_ID

### INSERT

    public static final DBClassStore.DBMethod INSERT

### INSERT_AS_NEW

    public static final DBClassStore.DBMethod INSERT_AS_NEW

### UPDATE

    public static final DBClassStore.DBMethod UPDATE

### FETCH

    public static final DBClassStore.DBMethod FETCH

### FETCH_STUBS

    public static final DBClassStore.DBMethod FETCH_STUBS

### GET

    public static final DBClassStore.DBMethod GET

### GET_STUB

    public static final DBClassStore.DBMethod GET_STUB

### SIZE

    public static final DBClassStore.DBMethod SIZE

Method Detail

### values

    public static DBClassStore.DBMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DBClassStore.DBMethod c : DBClassStore.DBMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DBClassStore.DBMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isWriteAccess

    public boolean isWriteAccess()

### isReadOnlyAccess

    public boolean isReadOnlyAccess()

### getMethodName

    public String getMethodName()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads